#!/bin/bash

cd `dirname $0`
echo `basename $0` is at `pwd`

BASE_HOME=.
CONFIG_HOME=$BASE_HOME/cfg

RESOLVED_CONFIG_HOME=`cd "$CONFIG_HOME"; pwd`
export CLASSPATH=$RESOLVED_CONFIG_HOME

for i in `ls $BASE_HOME/lib/*.jar`; do
    CLASSPATH=$i:$CLASSPATH
done

VM_PARAM=
VM_PARAM="$VM_PARAM -Xmx1024m -Xms512m -Xms512m -XX:+PrintGC -Xloggc:./logs/gc -XX:+HeapDumpOnOutOfMemoryError"

nohup java $VM_PARAM -classpath "$CLASSPATH" com.security.sse.BootStrap $* &
echo "EzSTEP starting"
